## mars.venus
Class SettingsHighlightingAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.SettingsHighlightingAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class SettingsHighlightingAction

extends GuiAction

Action class for the Settings menu item for text editor settings.

See Also:
  Serialized Form

Field Summary
`static String` `APPLY_TOOL_TIP_TEXT`
`static String` `CANCEL_TOOL_TIP_TEXT`
`static String` `CLOSE_TOOL_TIP_TEXT`
`static String` `RESET_TOOL_TIP_TEXT`

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SettingsHighlightingAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)` Create a new SettingsEditorAction.

Method Summary
`void` `actionPerformed(ActionEvent e)` When this action is triggered, launch a dialog to view and modify editor settings.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLOSE_TOOL_TIP_TEXT

    public static final String CLOSE_TOOL_TIP_TEXT

See Also:
  Constant Field Values

### APPLY_TOOL_TIP_TEXT

    public static final String APPLY_TOOL_TIP_TEXT

See Also:
  Constant Field Values

### RESET_TOOL_TIP_TEXT

    public static final String RESET_TOOL_TIP_TEXT

See Also:
  Constant Field Values

### CANCEL_TOOL_TIP_TEXT

    public static final String CANCEL_TOOL_TIP_TEXT

See Also:
  Constant Field Values

Constructor Detail

### SettingsHighlightingAction

    public SettingsHighlightingAction(String name,
                                      Icon icon,
                                      String descrip,
                                      Integer mnemonic,
                                      KeyStroke accel,
                                      VenusUI gui)

  Create a new SettingsEditorAction. Has all the GuiAction parameters.

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  When this action is triggered, launch a dialog to view and modify editor settings.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`